Uploaded image for project: 'Axis2'
  1. Axis2
  2. AXIS2-5476

Improve exception message on InvocationTargetException in BeanUtil.deserialize

Agile BoardAttach filesAttach ScreenshotAdd voteVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Open
    • Trivial
    • Resolution: Unresolved
    • 1.6.2
    • None
    • adb
    • OS X 10.8

    Description

      Deserialize on InvocationTargetException just does a


      } catch (InvocationTargetException e) {
      throw new AxisFault("InvocationTargetException : " + e);

      which isn't that helpful for the one who has to solve it as most of the InvocationTargetException is then lost, I would recommend something along the lines


      } catch (InvocationTargetException e) {
      throw new AxisFault("InvocationTargetException [cause: "+ e.getCause() +"] [target: "+e.getTargetException()+"] :" + e);

      Attachments

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            Unassigned Unassigned
            pleberre Philippe Le Berre

            Dates

              Created:
              Updated:

              Slack

                Issue deployment